.\"	$NetBSD: whereis.1,v 1.13 2003/04/03 18:16:45 perry Exp $
.\"
.\" Copyright (c) 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)whereis.1	8.3 (Berkeley) 4/27/95
.\"
.Dd April 3, 2003
.Dt WHEREIS 1
.Os
.Sh NAME
.Nm whereis
.Nd locate programs
.Sh SYNOPSIS
.Nm
.Op Fl p
.Ar program
.Op Ar program ...
.Sh DESCRIPTION
The
.Nm
utility checks the standard binary directories for the specified programs,
printing out the paths of any it finds.
.Pp
The default path searched is the string returned by the
.Xr sysctl 8
utility for the
.Dq user.cs_path
string.
If the
.Op Fl p
option is specified, then the value of the environment
variable
.Ev PATH
is used instead.
.Sh EXIT STATUS
The
.Nm
utility exits 0 on success, 1 on general error, 2 if only some
programs were located and 3 if none were.
.Sh SEE ALSO
.Xr whatis 1 ,
.Xr which 1 ,
.Xr sysctl 8
.Sh COMPATIBILITY
The historic flags and arguments for the
.Nm
utility are no longer available in this version.
.Sh HISTORY
The
.Nm
command appeared in
.Bx 3.0 .
